### Name: zic.ssvs
### Title: SSVS for Zero-Inflated Count Models
### Aliases: zic.ssvs


### ** Examples

# library( zic )
# data( docvisits )
# formula <- docvisits ~ age + agesq + health + handicap + hdegree +
#            married + schooling + hhincome + children + self +
#            civil + bluec + employed + public + addon 

# prior parameters for preliminary run
# bbar <- rep( 10.0, 16 )
# dbar <- rep( 10.0, 16 )
# ebar <- 3.0
# fbar <- 2.0

# set seed and run preliminary MCMC sampler
# set.seed(1)
# prelim <- zic( formula, docvisits, bbar, dbar, ebar, fbar, 10000, 100000, 10 )

# prior parameters SSVS run
# varbeta <- apply( prelim$beta, 2, var )
# vardelta <- apply( prelim$delta, 2, var )
# tausq0bar <- 0.01 * varbeta
# tausq1bar <- 100.0 * varbeta
# omegasq0bar <- 0.01 * vardelta
# omegasq1bar <- 100.0 * vardelta
# ebar <- 3.0
# fbar <- 2.0
# pbar <- rep( 0.5, 16 )
# qbar <- rep( 0.5, 16 )

# set seed and run preliminary MCMC sampler
# set.seed(2)
# results <- zic.ssvs( formula, docvisits, tausq0bar, tausq1bar,
#                      omegasq0bar, omegasq1bar, ebar, fbar,
#                      pbar, qbar, 10000, 100000, 10 )

# print posterior inclusion probabilities means for delta
# apply( results$kappa, 2, mean )



